Bug 199930 - editors/openoffice-4 failed to build "inaccessibleBaseClassIsCaughtAtValidation, java.lang.AssertionError"
Summary: editors/openoffice-4 failed to build "inaccessibleBaseClassIsCaughtAtValidati...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Don Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-04 14:40 UTC by Jim D.
Modified: 2015-05-14 23:09 UTC (History)
1 user (show)

See Also:


Attachments
configure output (32.29 KB, application/x-bzip)
2015-05-07 01:47 UTC, Jim D.
no flags Details
make output (986.66 KB, application/x-bzip)
2015-05-07 01:47 UTC, Jim D.
no flags Details
patch to respect DISABLE_MAKE_JOBS and MAKE_JOBS_NUMBER values (2.37 KB, patch)
2015-05-13 17:53 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim D. 2015-05-04 14:40:34 UTC
a) why is bug report "Component Description" a read-only textarea?

b) System: 9.3-STABLE #19 r275837

c) port directory date: 04/28/2015

d) JDK installed: openjdk-7.80.15,1

e) last 140 lines of configure output showing configuration error:

    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 warning
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/framework/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/internal/runners/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runners/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/matchers/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/extensions/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/notification/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/manipulation/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/junit/textui/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/internal/requests/package-info.class
    [unjar] Expanding: /usr/ports/java/junit/work/junit-team-junit-c62e2df/lib/hamcrest-core-1.3.jar into /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main
    [mkdir] Created dir: /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java
    [javac] Compiling 163 source files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java
    [javac] warning: [options] bootstrap class path not set in conjunction with -source 1.5
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 warning
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/runner/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/tests/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/framework/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/samples/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/tests/extensions/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/org/junit/samples/money/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/samples/package-info.class
    [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/test/java/junit/samples/money/package-info.class

jars:
    [mkdir] Created dir: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-4.11-SNAPSHOT-src.jar
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-4.11-SNAPSHOT.jar
      [jar] Building jar: /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/junit-dep-4.11-SNAPSHOT.jar

samples-and-tests:
     [copy] Copying 872 files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT

unjar.hamcrest:
    [unjar] Expanding: /usr/ports/java/junit/work/junit-team-junit-c62e2df/lib/hamcrest-core-1.3-sources.jar into /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/temp.hamcrest.source

javadoc:
  [javadoc] Generating Javadoc
  [javadoc] Javadoc execution
  [javadoc] Creating destination directory: "/usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/"
  [javadoc] Loading source files for package org.junit...
  [javadoc] Loading source files for package org.junit.experimental...
  [javadoc] Loading source files for package org.junit.experimental.categories...
  [javadoc] Loading source files for package org.junit.experimental.max...
  [javadoc] Loading source files for package org.junit.experimental.results...
  [javadoc] Loading source files for package org.junit.experimental.runners...
  [javadoc] Loading source files for package org.junit.experimental.theories...
  [javadoc] Loading source files for package org.junit.experimental.theories.suppliers...
  [javadoc] Loading source files for package org.junit.matchers...
  [javadoc] Loading source files for package org.junit.rules...
  [javadoc] Loading source files for package org.junit.runner...
  [javadoc] Loading source files for package org.junit.runner.manipulation...
  [javadoc] Loading source files for package org.junit.runner.notification...
  [javadoc] Loading source files for package org.junit.runners...
  [javadoc] Loading source files for package org.junit.runners.model...
  [javadoc] Loading source files for package org.hamcrest...
  [javadoc] Loading source files for package org.hamcrest.core...
  [javadoc] Loading source files for package org.hamcrest.internal...
  [javadoc] Constructing Javadoc information...
  [javadoc] Standard Doclet version 1.7.0_80
  [javadoc] Building tree for all the packages and classes...
  [javadoc] Generating /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/serialized-form.html...
  [javadoc] Copying file /usr/ports/java/junit/work/junit-team-junit-c62e2df/stylesheet.css to file /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/javadoc/stylesheet.css...
  [javadoc] Building index for all the packages and classes...
  [javadoc] Building index for all classes...

release-notes:

populate-dist:
     [copy] Copying 51 files to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT/doc
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT
     [copy] Copying 1 file to /usr/ports/java/junit/work/junit-team-junit-c62e2df/junit4.11-SNAPSHOT

dist:
     [java] JUnit version 4.11-SNAPSHOT
     [java] ..................................................................................................................................................................................................................................................................................................................................I.I..........................................E...........................................................................................................................................I....................................................................................................................
     [java] Time: 1.913
     [java] There was 1 failure:
     [java] 1) inaccessibleBaseClassIsCaughtAtValidation(org.junit.tests.validation.InaccessibleBaseClassTest)
     [java] java.lang.AssertionError: Expected exception: org.junit.runners.model.InitializationError
     [java] 	at org.junit.internal.runners.statements.ExpectException.evaluate(ExpectException.java:32)
     [java] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:271)
     [java] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:70)
     [java] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:50)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:127)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:26)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:127)
     [java] 	at org.junit.runners.Suite.runChild(Suite.java:26)
     [java] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
     [java] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
     [java] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
     [java] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
     [java] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
     [java] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:309)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:160)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:138)
     [java] 	at org.junit.runner.JUnitCore.run(JUnitCore.java:117)
     [java] 	at org.junit.runner.JUnitCore.runMain(JUnitCore.java:96)
     [java] 	at org.junit.runner.JUnitCore.runMainAndExit(JUnitCore.java:47)
     [java] 	at org.junit.runner.JUnitCore.main(JUnitCore.java:40)
     [java] 
     [java] FAILURES!!!
     [java] Tests run: 620,  Failures: 1
     [java] 

BUILD FAILED
/usr/ports/java/junit/work/junit-team-junit-c62e2df/build.xml:211: The following error occurred while executing this line:
/usr/ports/java/junit/work/junit-team-junit-c62e2df/build.xml:181: Java returned: 1

Total time: 13 seconds
*** [do-build] Error code 1

Stop in /usr/ports/java/junit.
*** [build-depends] Error code 1

Stop in /usr/ports/editors/openoffice-4.
*** [configure] Error code 1

Stop in /usr/ports/editors/openoffice-4.
Comment 1 Don Lewis freebsd_committer 2015-05-06 16:07:18 UTC
> [javac] Creating empty /usr/ports/java/junit/work/junit-team-junit-c62e2df/target/main/org/junit/runner/package-info.class

This appears to be a build failure in the java/junit port, which is a dependency of openoffice.  A recent openjdk update apparently broke junit, but this was fixed for me by the update of junit to version 4.12 on 05/02/2015.
Comment 2 Jim D. 2015-05-06 19:28:49 UTC
The update to JUNIT (4.12) has corrected the Java/JUNIT error. Thanks.
Comment 3 Jim D. 2015-05-06 19:33:13 UTC
New error
=================
tail -220 make.output
COPY: ../unxfbsdx.pro/bin/accen-US.ilst -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/res/img/accen-US.ilst
COPY: ../unxfbsdx.pro/lib/libacc.so -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/lib/libacc.so
LOG: writing /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/inc/accessibility/deliver.log
Module 'accessibility' delivered successfully. 4 files copied, 3 files unchanged
: &&     LD_LIBRARY_PATH=/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}} /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/bin/makedepend -f - -p../../unxfbsdx.pro/par/osl -o.par -DOSL_PRODUCT -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DX86_64 -DX86_64  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/local/lib/gcc48/include/c++ -DSUPD=411 -DPRODUCT -DNDEBUG -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DCUI -DSOLAR_JAVA   -DDLLPOSTFIX= -I. -I../../inc -I../inc -I../../unx/inc -I../../unxfbsdx.pro/inc module_langpack.scp > ../../unxfbsdx.pro/misc/osl/module_langpack.dpsc

Entering /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/scp2/util

/usr/local/bin/perl /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solenv/bin/par2script.pl -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkmDDPjx -o ../unxfbsdx.pro/bin/osl/setup_osl.ins
Making:    setup_osl.ins
/usr/local/bin/perl /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solenv/bin/par2script.pl -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mk5D366B -o ../unxfbsdx.pro/bin/osl/setup_osljre.ins
Making:    setup_osljre.ins
/usr/local/bin/perl /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solenv/bin/par2script.pl -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkqDQk3p -o ../unxfbsdx.pro/bin/osl/ure.ins
/usr/local/bin/perl /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solenv/bin/par2script.pl -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkRko0fH -o ../unxfbsdx.pro/bin/osl/sdkoo.ins
Making:    sdkoo.ins
Making:    ure.ins

par2script -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkRko0fH -o ../unxfbsdx.pro/bin/osl/sdkoo.ins
Reading par files
Collecting items
Collecting assigned items
Searching for Undefinitions
Removing assigned GIDs without definitions
Adding definitions without assignment to the root
Control of multiple assignments
Control of definitions with missing assignments
Checking directory definitions ...
Checking module definitions ...
Checking module assignments ...
Checking Root Module ... gid_Module_Root
Checking Shortcut assignments ...
Checking missing parents ...
Shorten lines at modules
Creating setup script
Saving script

par2script -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkqDQk3p -o ../unxfbsdx.pro/bin/osl/ure.ins
Reading par files
Collecting items
Collecting assigned items
Searching for Undefinitions
Removing assigned GIDs without definitions
Adding definitions without assignment to the root
Control of multiple assignments
Control of definitions with missing assignments
Checking directory definitions ...
Checking module definitions ...
Checking module assignments ...
Checking Root Module ... gid_Module_Root
Checking Shortcut assignments ...
Checking missing parents ...
Shorten lines at modules
Creating setup script
Saving script

par2script -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mk5D366B -o ../unxfbsdx.pro/bin/osl/setup_osljre.ins
Reading par files
Collecting items
Collecting assigned items
Searching for Undefinitions
Removing assigned GIDs without definitions
Adding definitions without assignment to the root
Control of multiple assignments
		GID: gid_Brand_Dir_Share Assignments: 2
		GID: gid_Brand_Dir_Program Assignments: 2
Control of definitions with missing assignments
Checking directory definitions ...
Checking module definitions ...
Checking module assignments ...
Checking Root Module ... gid_Module_Root
Checking Shortcut assignments ...

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_1 !

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_0 !

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_2 !
Checking missing parents ...
Shorten lines at modules
Creating setup script
Saving script

par2script -i ../unxfbsdx.pro/par,/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par @@/tmp/mkmDDPjx -o ../unxfbsdx.pro/bin/osl/setup_osl.ins
Reading par files
Collecting items
Collecting assigned items
Searching for Undefinitions
Removing assigned GIDs without definitions
Adding definitions without assignment to the root
Control of multiple assignments
		GID: gid_Brand_Dir_Program Assignments: 2
		GID: gid_Brand_Dir_Share Assignments: 2
Control of definitions with missing assignments
Checking directory definitions ...
Checking module definitions ...
Checking module assignments ...
Checking Root Module ... gid_Module_Root
Checking Shortcut assignments ...

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_1 !

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_0 !

	WARNING: FileID gid_File_Lib_Graphite has no definition at shortcut gid_Shortcut_Lib_Graphite_2 !
Checking missing parents ...
Shorten lines at modules
Creating setup script
Saving script
scp2 deliver
deliver -- version: 275594
COPY: build.lst -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/inc/scp2/build.lst
COPY: ../unxfbsdx.pro/bin/osl/setup_osl.ins -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/bin/setup_osl.ins
COPY: ../unxfbsdx.pro/bin/osl/ure.ins -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/bin/ure.ins
COPY: ../unxfbsdx.pro/bin/osl/sdkoo.ins -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/bin/sdkoo.ins
COPY: ../unxfbsdx.pro/bin/osl/setup_osljre.ins -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/bin/setup_osljre.ins
COPY: ../unxfbsdx.pro/par/osl/sdkoo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/sdkoo.par
COPY: ../unxfbsdx.pro/par/osl/file_javafilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_javafilter.par
COPY: ../unxfbsdx.pro/par/osl/file_onlineupdate.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_onlineupdate.par
COPY: ../unxfbsdx.pro/par/osl/module_onlineupdate.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_onlineupdate.par
COPY: ../unxfbsdx.pro/par/osl/file_crashrep.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_crashrep.par
COPY: ../unxfbsdx.pro/par/osl/profileitem_python.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/profileitem_python.par
COPY: ../unxfbsdx.pro/par/osl/file_python.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_python.par
COPY: ../unxfbsdx.pro/par/osl/module_python_mailmerge.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_python_mailmerge.par
COPY: ../unxfbsdx.pro/par/osl/module_python.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_python.par
COPY: ../unxfbsdx.pro/par/osl/file_calc.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_calc.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_calc.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_calc.par
COPY: ../unxfbsdx.pro/par/osl/module_javafilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_javafilter.par
COPY: ../unxfbsdx.pro/par/osl/file_draw.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_draw.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_draw.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_draw.par
COPY: ../unxfbsdx.pro/par/osl/module_calc.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_calc.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_javafilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_javafilter.par
COPY: ../unxfbsdx.pro/par/osl/module_draw.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_draw.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_draw.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_draw.par
COPY: ../unxfbsdx.pro/par/osl/cairocanvas.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/cairocanvas.par
COPY: ../unxfbsdx.pro/par/osl/canvascommons.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/canvascommons.par
COPY: ../unxfbsdx.pro/par/osl/vclcanvas.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/vclcanvas.par
COPY: ../unxfbsdx.pro/par/osl/file_graphicfilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_graphicfilter.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_calc.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_calc.par
COPY: ../unxfbsdx.pro/par/osl/module_graphicfilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_graphicfilter.par
COPY: ../unxfbsdx.pro/par/osl/directory_ooo_macosx.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/directory_ooo_macosx.par
COPY: ../unxfbsdx.pro/par/osl/file_improvement.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_improvement.par
COPY: ../unxfbsdx.pro/par/osl/datacarrier_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/datacarrier_ooo.par
COPY: ../unxfbsdx.pro/par/osl/common_brand.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/common_brand.par
COPY: ../unxfbsdx.pro/par/osl/file_font_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_font_ooo.par
COPY: ../unxfbsdx.pro/par/osl/common_brand_readme.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/common_brand_readme.par
COPY: ../unxfbsdx.pro/par/osl/file_xsltfilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_xsltfilter.par
COPY: ../unxfbsdx.pro/par/osl/file_library_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_library_ooo.par
COPY: ../unxfbsdx.pro/par/osl/file_extra_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_extra_ooo.par
COPY: ../unxfbsdx.pro/par/osl/installation_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/installation_ooo.par
COPY: ../unxfbsdx.pro/par/osl/file_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_ooo.par
COPY: ../unxfbsdx.pro/par/osl/module_improvement.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_improvement.par
COPY: ../unxfbsdx.pro/par/osl/module_hidden_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_hidden_ooo.par
COPY: ../unxfbsdx.pro/par/osl/ooo_brand.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/ooo_brand.par
COPY: ../unxfbsdx.pro/par/osl/profile_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/profile_ooo.par
COPY: ../unxfbsdx.pro/par/osl/profileitem_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/profileitem_ooo.par
COPY: ../unxfbsdx.pro/par/osl/module_xsltfilter.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_xsltfilter.par
COPY: ../unxfbsdx.pro/par/osl/module_lang_template.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_lang_template.par
COPY: ../unxfbsdx.pro/par/osl/shortcut_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/shortcut_ooo.par
COPY: ../unxfbsdx.pro/par/osl/ure_into_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/ure_into_ooo.par
COPY: ../unxfbsdx.pro/par/osl/file_writer.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_writer.par
COPY: ../unxfbsdx.pro/par/osl/ure_standalone.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/ure_standalone.par
COPY: ../unxfbsdx.pro/par/osl/ure.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/ure.par
COPY: ../unxfbsdx.pro/par/osl/file_resource_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_resource_ooo.par
COPY: ../unxfbsdx.pro/par/osl/scpaction_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/scpaction_ooo.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_writer.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_writer.par
COPY: ../unxfbsdx.pro/par/osl/file_math.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_math.par
COPY: ../unxfbsdx.pro/par/osl/file_gnome.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_gnome.par
COPY: ../unxfbsdx.pro/par/osl/module_java.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_java.par
COPY: ../unxfbsdx.pro/par/osl/module_writer.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_writer.par
COPY: ../unxfbsdx.pro/par/osl/module_systemint.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_systemint.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_ooo.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_math.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_math.par
COPY: ../unxfbsdx.pro/par/osl/module_gnome.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_gnome.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_ooo.par
COPY: ../unxfbsdx.pro/par/osl/module_math.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_math.par
COPY: ../unxfbsdx.pro/par/osl/file_impress.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_impress.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_math.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_math.par
COPY: ../unxfbsdx.pro/par/osl/module_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_ooo.par
COPY: ../unxfbsdx.pro/par/osl/directory_ooo.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/directory_ooo.par
COPY: ../unxfbsdx.pro/par/osl/module_ogltrans.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_ogltrans.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_impress.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_impress.par
COPY: ../unxfbsdx.pro/par/osl/file_base.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/file_base.par
COPY: ../unxfbsdx.pro/par/osl/module_impress.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_impress.par
COPY: ../unxfbsdx.pro/par/osl/folderitem_base.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/folderitem_base.par
COPY: ../unxfbsdx.pro/par/osl/module_base.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_base.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_base.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_base.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_impress.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_impress.par
COPY: ../unxfbsdx.pro/par/osl/registryitem_writer.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/registryitem_writer.par
COPY: ../unxfbsdx.pro/par/osl/module_langpack.par -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/par/osl/module_langpack.par
COPY: ../inc/macros.inc -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/inc/macros.inc
COPY: ../unxfbsdx.pro/inc/langmacros.inc -> /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/inc/langmacros.inc
LOG: writing /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfbsdx.pro/inc/scp2/deliver.log
Module 'scp2' delivered successfully. 81 files copied, 4 files unchanged

5 module(s): 
	fpicker
	uui
	canvas
	framework
	editeng
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/framework/prj
ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/uui/source
ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/canvas/source/vcl
ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/fpicker/source/office
ERROR: error 65280 occurred while making /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/editeng/prj

When you have fixed the errors in that module you can resume the build by running:

	build --from fpicker uui canvas framework editeng

*** [do-build] Error code 1

Stop in /usr/ports/editors/openoffice-4.
*** [stage] Error code 1

Stop in /usr/ports/editors/openoffice-4.


================================================
pwd;ll
/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/framework/prj
total 8
-rw-r--r--  1 root  wheel    95 Feb 25  2014 build.lst
-rw-r--r--  1 root  wheel     0 Feb 25  2014 d.lst
-rw-r--r--  1 root  wheel  1325 Feb 25  2014 makefile.mk
===============================================
Comment 4 Don Lewis freebsd_committer 2015-05-06 20:42:06 UTC
The actual errors are somewhere earlier in the log.

I've never seen this failure (other than an fpicker build failure when I was experimenting with KDE).

amd64 or i386?

What options settings are you using?

What do you have in /etc/make.conf?

Can you attach config.log?
Comment 5 Jim D. 2015-05-07 01:47:15 UTC
Created attachment 156450 [details]
configure output
Comment 6 Jim D. 2015-05-07 01:47:48 UTC
Created attachment 156451 [details]
make output
Comment 7 Jim D. 2015-05-07 01:54:55 UTC
gcc: gcc-4.2.1 20070831 patched
CPU: i7-2600
real memory  = 8589934592 (8192 MB)
arch: amd64
options settings
===========================
# This file is auto-generated by 'make config'.
# Options for apache-openoffice-4.1.1_8
_OPTIONS_READ=apache-openoffice-4.1.1_8
_FILE_COMPLETE_OPTIONS_LIST=CCACHE CUPS GNOME GNOMEVFS MMEDIA
OPTIONS_FILE_UNSET+=CCACHE
OPTIONS_FILE_SET+=CUPS
OPTIONS_FILE_SET+=GNOME
OPTIONS_FILE_SET+=GNOMEVFS
OPTIONS_FILE_SET+=MMEDIA
===========================

/etc/make.conf
===========================
WITH_PKGNG=yes
#
OVERRIDE_LINUX_BASE_PORT=c6
OVERRIDE_LINUX_NONBASE_PORTS=c6
#OVERRIDE_LINUX_BASE_PORT=f10
#OVERRIDE_LINUX_NONBASE_PORTS=f10
===========================
Comment 8 Don Lewis freebsd_committer 2015-05-08 21:58:30 UTC
(In reply to leftfoot from comment #6)

g++48: internal compiler error: Killed: 9 (program cc1plus)
no stack trace because unwind library not available
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solenv/gbuild/LinkTarget.mk:
126: recipe for target '/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solv
er/411/unxfbsdx.pro/workdir/CxxObject/editeng/source/editeng/eehtml.o' failed
gmake: *** [/usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/solver/411/unxfb
sdx.pro/workdir/CxxObject/editeng/source/editeng/eehtml.o] Error 4
gmake: *** Waiting for unfinished jobs....
[SNIP]
g++48: internal compiler error: Killed: 9 (program cc1plus)
no stack trace because unwind library not available
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
g++48: internal compiler error: Killed: 9 (program cc1plus)
no stack trace because unwind library not available
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
g++48: internal compiler error: Killed: 9 (program cc1plus)
no stack trace because unwind library not available
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions


Signal 9 is SIGKILL.  I wonder if you are running out of memory the OOM killer is the culprit.

This port can go kind of crazy with the number of parallel jobs that it runs.  It's something that I want to look into.  In the meantime, try
    make MAKE_JOBS_NUMBER=1 ...
Comment 9 Jim D. 2015-05-11 04:49:32 UTC
Ran compile again with suggested "MAKE_JOBS_NUMBER=1" parameter and compile has completed successfully. Host used for compile has 8GB RAM.

OpenOffice-4.1.1_9 is now installed.

THANKS.
Comment 10 Jim D. 2015-05-11 15:02:26 UTC
Last comments about compiling host: 1GB swap, 450GB HDD. Swap is small since it is rarely used to any great extent. I know - this "violates" Unix general principles about swap allocation.
Comment 11 Don Lewis freebsd_committer 2015-05-13 17:53:00 UTC
Created attachment 156754 [details]
patch to respect DISABLE_MAKE_JOBS and MAKE_JOBS_NUMBER values

Please try the attached patch.  With your system configuration, I think it should you allow to build without specifying MAKE_JOBS_NUMBER=1 unless you have more than 4 CPU cores.
Comment 12 Jim D. 2015-05-14 16:22:42 UTC
(In reply to Don Lewis from comment #11)

1) modified ".if defined(DISABLE_MAKE_JOBS)" section to include 

.else
MAKE_JOBS_NUMBER=       1

otherwise no use of "make DISABLE_MAKE_JOBS=1" would fail

2) section of (apparently shell script code) dealing with "dmproc" and "numproc" fails with Make error: "Error expanding embedded variable." I cannot find a way to debug this section ("echo" doesn't work nor does ".error").

P.S. While I am willing to continue assisting with testing Makefile changes, I have already successfully compiled OpenOFFICE-4 using "make MAKE_JOBS_NUMBER=1"

P.S.S. Note also that I chose to limit SWAP to just 1GB as it is rarely used (might be a big mistake on my part)
Comment 13 Don Lewis freebsd_committer 2015-05-14 17:44:18 UTC
(In reply to leftfoot from comment #12)

1) The patch totally removed the ".if defined(DISABLE_MAKE_JOBS)" section, so no there should not have been anything to change.  In any case /usr/ports/Mk/bsd.port.mk should always define MAKE_JOBS_NUMBER.

2) Strange ... I haven't seen that here.  I've never seen that error message anywhere, though I haven't tried this patch on FreeBSD 9.3.  I have tried this patch on 8.4, 10.1, and 11.0-CURRENT.

re: P.S. Your testing is appreciated.  I'm hoping to get he port to build without problems to benefit others in similar situations.

re: P.S.S. In your situation, the only downside of swap < RAM might be problems with crash dumps.  Heavy swap usage with 8 GB of RAM would be a performance killer.
Comment 14 Jim D. 2015-05-14 19:59:35 UTC
(In reply to Don Lewis from comment #13)

Ah - the patched Makefile problems were my failure to properly apply the patch. Have executed the patch command correctly and the patches were successfully applied and the "make" is now in progress.

I will update you when the "make" has completed.
Comment 15 Jim D. 2015-05-14 21:05:39 UTC
(In reply to leftfoot from comment #14)

Make has completed successfully:
=============================================
tail make.output

/bin/rm -f /usr/ports/editors/openoffice-4/work/stage/usr/local/openoffice-4.1.1/openoffice4/share/xdg/*.desktop.bak
/bin/rm -f -f /usr/ports/editors/openoffice-4/work/stage/usr/local/share/applications/openoffice-4.1.1
/bin/mkdir -p /usr/ports/editors/openoffice-4/work/stage/usr/local/share/applications
/bin/ln -sf /usr/local/openoffice-4.1.1/openoffice4/share/xdg  /usr/ports/editors/openoffice-4/work/stage/usr/local/share/applications/openoffice-4.1.1
echo "share/applications/openoffice-4.1.1" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp
for dir in `ls /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/sysui/desktop/icons/hicolor | /usr/bin/grep -v CVS`; do  for app in base calc draw impress math printeradmin writer; do  if [ -r /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/sysui/desktop/icons/hicolor/${dir}/apps/${app}.png ]; then  /bin/mkdir -p /usr/ports/editors/openoffice-4/work/stage/usr/local/share/icons/hicolor/${dir}/apps/ ;  install  -o root -g wheel -m 0644 /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/sysui/desktop/icons/hicolor/${dir}/apps/${app}.png  /usr/ports/editors/openoffice-4/work/stage/usr/local/share/icons/hicolor/${dir}/apps/openoffice-4.1.1-${app}.png ;  echo "share/icons/hicolor/${dir}/apps/openoffice-4.1.1-${app}.png" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp ;  fi  done ;  for iconfile in `cd /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/sysui/desktop/icons/hicolor/${dir}/mimetypes; ls *.png`; do  /bin/mkdir -p /usr/ports/editors/openoffice-4/work/stage/usr/local/share/icons/hicolor/${dir}/mimetypes/ ;  install  -o root -g wheel -m 0644 /usr/ports/editors/openoffice-4/work/aoo-4.1.1/main/sysui/desktop/icons/hicolor/${dir}/mimetypes/${iconfile}  /usr/ports/editors/openoffice-4/work/stage/usr/local/share/icons/hicolor/${dir}/mimetypes/ ;  echo "share/icons/hicolor/${dir}/mimetypes/${iconfile}" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp ;  done ;  done
echo "@unexec /bin/rm -f %D/share/icons/hicolor/icon-theme.cache 2>/dev/null || true" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp
echo "@exec /usr/local/bin/gtk-update-icon-cache -q -f %D/share/icons/hicolor 2>/dev/null || true" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp
echo "@unexec /usr/local/bin/gtk-update-icon-cache -q -f %D/share/icons/hicolor 2>/dev/null || true" >> /usr/ports/editors/openoffice-4/work/.PLIST.mktmp
====> Compressing man pages (compress-man)
=============================================



FYI - some local host information during the make process:
=============================================
last pid: 87169;  load averages:  7.60,  7.67,  7.10   up 3+04:56:07  15:49:40
98 processes:  7 running, 91 sleeping
CPU: 64.5% user,  0.0% nice, 10.0% system,  0.0% interrupt, 25.5% idle
Mem: 1510M Active, 2102M Inact, 2630M Wired, 158M Cache, 822M Buf, 1456M Free
Swap: 1024M Total, 2292K Used, 1022M Free

  PID USERNAME    THR PRI NICE   SIZE    RES STATE   C   TIME    WCPU COMMAND
87084 root          1  81    0   349M   305M CPU4    4   0:04  31.98% cc1plus
87089 root          1  80    0   345M   302M CPU7    7   0:03  28.76% cc1plus
66998 jimd         24  20    0  2130M  1767M uwait   4  28:00  17.87% VirtualB
87099 root          1  76    0   232M   190M CPU6    6   0:02  15.38% cc1plus
87152 root          1  76    0   232M   196M CPU2    2   0:02  14.06% cc1plus
87159 root          1  75    0   190M   139M CPU1    1   0:01   9.47% cc1plus
  919 jimd          2  20    0   158M 38724K uwait   6  10:10   0.59% Xorg
87151 root          1  52    0 22624K  2932K wait    6   0:00   0.20% g++48
87154 root          1  52    0 17248K  5972K piperd  6   0:00   0.20% as
87135 root          1  52    0  9972K  2140K wait    5   0:00   0.10% dmake


ps -ax|grep openoffice
71456  3  I+       0:00.00 perl -S /usr/ports/editors/openoffice-4/work/aoo-4.
85665  3  S+       0:00.00 perl -S /usr/ports/editors/openoffice-4/work/aoo-4.
85766  3  S+       0:00.00 /usr/local/bin/as -I /usr/ports/editors/openoffice-
85776  3  S+       0:00.00 /usr/local/bin/as -I /usr/ports/editors/openoffice-
85824  3  S+       0:00.00 /usr/local/bin/as -I /usr/ports/editors/openoffice-
85829  3  R+       0:00.00 /usr/local/bin/as -I /usr/ports/editors/openoffice-
89759  3  S+       0:01.40 perl -S /usr/ports/editors/openoffice-4/work/aoo-4.


ll make.output
-rw-r--r--  1 root  wheel  55512045 May 14 15:54 make.output
=============================================
Comment 16 commit-hook freebsd_committer 2015-05-14 23:07:36 UTC
A commit references this bug:

Author: truckman
Date: Thu May 14 23:07:19 UTC 2015
New revision: 386368
URL: https://svnweb.freebsd.org/changeset/ports/386368

Log:
  Do not attempt to override the intent of DISABLE_MAKE_JOBS, which
  does not succeed in any case.

  The do-build target does not need to use bash, or even an extra
  level of shell.

  There are two levels of parallelism in the openoffice build framework.
  Split MAKE_JOBS_NUMBER between the two levels instead of potentially
  running MAKE_JOBS_NUMBER^2 compilations in parallel.

  PR:		199930
  Approved by:	mat (mentor, implicit)

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile